For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList questions
LogoLogo
Contact SalesGet Support
Middesk APIEntity ManagementQuestions

List questions

GET
https://api.middesk.com/v1/agent/questions
GET
/v1/agent/questions
$curl https://api.middesk.com/v1/agent/questions \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "key": "ca_payroll_date",
5 "label": "Enter the calendar year and quarter you will run / did run your first payroll in California",
6 "type": "date_part",
7 "categories": [
8 "state_unemployment_insurance",
9 "state_tax_withholdings"
10 ],
11 "optional": true,
12 "validation": {
13 "date": [
14 {
15 "before": false,
16 "date": "2025-03-25T00:00:00.000Z",
17 "message": "We cannot accept your payroll date answer as it is more than 1 year ago."
18 }
19 ]
20 },
21 "components": [
22 "year",
23 "quarter"
24 ],
25 "warning": {
26 "date": [
27 {
28 "before": true,
29 "date": "2025-09-25T00:00:00.000Z",
30 "message": "Please double check your payroll date answer as it is more than 6 months ago."
31 }
32 ]
33 },
34 "api_only": true,
35 "jurisdiction_slugs": [
36 "california_state_unemployment_tax",
37 "california_state_tax_withholdings"
38 ],
39 "updated_at": "2026-03-02",
40 "ai_validated": false
41 },
42 {
43 "key": "ca_sos_id_number",
44 "label": "What is your California Secretary of State Identification Number?",
45 "type": "text",
46 "categories": [
47 "state_unemployment_insurance",
48 "state_tax_withholdings"
49 ],
50 "optional": true,
51 "validation": {
52 "format": [
53 "C#######",
54 "BXXXXXXXXXXX",
55 "BXXXXXXXXXXXX",
56 "############",
57 "#######"
58 ]
59 },
60 "company_dependencies": [
61 [
62 {
63 "field": "formation_state",
64 "value": "CA",
65 "comparator": "!="
66 },
67 {
68 "field": "entity_type",
69 "value": "sole_proprietorship",
70 "comparator": "!="
71 }
72 ]
73 ],
74 "sublabel": "This number can be found on your Secretary of State filing documentation or online on the California Secretary of State website",
75 "components": [
76 "components"
77 ],
78 "question_dependency": {
79 "key": "ca_sos_registered",
80 "value": "true"
81 },
82 "api_only": true,
83 "jurisdiction_slugs": [
84 "california_state_unemployment_tax",
85 "california_state_tax_withholdings"
86 ],
87 "updated_at": "2025-12-04",
88 "ai_validated": false
89 }
90 ]
91}
Retrieve the set of dynamic questions required for a registration in a given state or local jurisdiction. The questions returned depend on the jurisdiction and registration type.
Was this page helpful?
Previous

List mail items

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

statestringOptional

Two-letter US state abbreviation (e.g., CA, NY). Required when jurisdiction_slugs is not provided and states is not used.

states[]stringOptional

Array of two-letter US state abbreviations. Used when fetching questions for multiple states.

jurisdiction_slugs[]stringOptional
Array of local jurisdiction slug identifiers. Used to fetch questions specific to local jurisdictions. Must be provided together with the state parameter.
categories[]enumOptional

Filter questions by registration type. Only applicable to state-level questions; omit for local jurisdiction questions.

Allowed values:

Response

questions list
datalist of objects or map from strings to lists of objects

Errors

400
List Questions Request Bad Request Error
422
List Questions Request Unprocessable Entity Error